Guided tours cannot distinguish between read and edit modes with VisualEditor
Closed, ResolvedPublic

Description

Author: swalling

Description:
This tour step should only be shown in read mode.

When starting the guided tour via the "Show help" help button with GettingStarted, guided tours thinks I am in read mode and displays broken steps, rather than skipping to the appropriate editing steps.


Version: unspecified
Severity: normal

Attached:

bzimport set Reference to bz50186.
bzimport created this task.Via LegacyJun 25 2013, 6:22 PM
bzimport added a comment.Via ConduitJun 25 2013, 6:26 PM

swalling wrote:

Note: this only happens if the user clicks "Show help" after editing in VE mode. Otherwise, the tour progresses normally. The easiest solution in the interim may be to ensure that we don't show the Getting Started toolbar in VE edit mode, like we do for wikitext editing.

gerritbot added a comment.Via ConduitJul 9 2013, 3:19 AM

Change 72677 had a related patch set uploaded by Mattflaschen:
Add support for VisualEditor.

https://gerrit.wikimedia.org/r/72677

gerritbot added a comment.Via ConduitJul 9 2013, 3:21 AM

Change 72682 had a related patch set uploaded by Mattflaschen:
Add tour for VisualEditor

https://gerrit.wikimedia.org/r/72682

Mattflaschen added a comment.Via ConduitJul 9 2013, 9:22 AM

I fixed the issue where step 1 was shown when clicked "Show help" while in VE editor, on a page with an ambox. That's on toro for testing.

bzimport added a comment.Via ConduitJul 16 2013, 11:33 PM

swalling wrote:

(In reply to comment #5)

I fixed the issue where step 1 was shown when clicked "Show help" while in VE
editor, on a page with an ambox. That's on toro for testing.

Tested and working for me on toro. Once the patches are merged I think we can call this one fixed.

gerritbot added a comment.Via ConduitJul 18 2013, 4:35 PM

Change 72677 merged by Ori.livneh:
Add support for VisualEditor

https://gerrit.wikimedia.org/r/72677

gerritbot added a comment.Via ConduitJul 18 2013, 8:22 PM

Change 72682 merged by jenkins-bot:
Add tour for VisualEditor

https://gerrit.wikimedia.org/r/72682

Add Comment